# Generated by Django 2.1.7 on 2019-03-20 10:22

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('moneylendingGoPay', '0012_delete_details'),
    ]

    operations = [
        migrations.CreateModel(
            name='gopayTransactionDetails',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('transaction_id', models.CharField(max_length=16)),
                ('amount', models.BigIntegerField(blank=True, null=True)),
                ('is_processed', models.NullBooleanField(default=False)),
                ('status_code', models.IntegerField(blank=True, null=True)),
                ('status_desc', models.CharField(blank=True, max_length=60, null=True)),
                ('transaction_date', models.DateTimeField(blank=True, null=True)),
                ('virtual_account', models.CharField(blank=True, max_length=50, null=True, validators=[django.core.validators.RegexValidator(message='Virtual account has to be numeric digits', regex='^[0-9]+$')])),
            ],
        ),
        migrations.CreateModel(
            name='paymentdetailsnew',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('loan_id', models.CharField(max_length=16)),
                ('amount_paid', models.CharField(max_length=100)),
            ],
        ),
    ]
